UpdateRole
UpdateRole
PUT
/zstack/v1/identities/roles/{uuid}Operation ID
UpdateRoleSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe resource UUID.
Body Fields
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
statementsListOptional. The permission statements.
policyUuidsListOptional. The permission policy UUIDs.
systemTagsListOptional. The system tags.
